GNU bug report logs - #47455
27.1; bibtex mode - citation key generation - non-ascii characters

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Brian Elmegaard <be@HIDDEN>; dated Sun, 28 Mar 2021 21:45:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 47455 <at> debbugs.gnu.org:


Received: (at 47455) by debbugs.gnu.org; 31 May 2021 05:49:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 31 01:49:00 2021
Received: from localhost ([127.0.0.1]:60781 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lnanM-0006SP-0r
	for submit <at> debbugs.gnu.org; Mon, 31 May 2021 01:49:00 -0400
Received: from quimby.gnus.org ([95.216.78.240]:55826)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lnanJ-0006S9-0c
 for 47455 <at> debbugs.gnu.org; Mon, 31 May 2021 01:48:58 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=4rfw8cUa0RAiEyHguWSpv3jVYc6UKbp1LiK0qHppTAY=; b=sDsyGHEVZARgwM/uw5M4ep+q+i
 u3UldiYL/Yw5+v3KIoKzSWFo0kSe9Vgz+JU1DaXPPu9X64i8qaZf3L9p3xPC9GBGzfyVkReBPwAqZ
 sdwJfKn2BGpFOAtvDxQThpVJ+/eMyQvsjFR5SaLZgOlaer4KGzEFuxweyv3nY4F1aCaQ=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lnan9-000612-Vh; Mon, 31 May 2021 07:48:50 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Roland Winkler" <winkler@HIDDEN>
Subject: Re: bug#47455: 27.1; bibtex mode - citation key generation -
 non-ascii characters
References: <aa8ebb57a9fb452fa0f5d3147ce5d922@HIDDEN>
 <87wnrwc9ia.fsf@HIDDEN> <3816.41298.758059.24740@HIDDEN>
 <878s43aivd.fsf@HIDDEN>
 <39413.75034.396197.24750@HIDDEN>
 <730b1644528547f78ea6910f882591d6@HIDDEN>
 <1540.59554.339986.24756@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAG1BMVEUWEhJEOztlW1qG
 eneMgHzQw7+ompgsJib///9RCNRGAAAAAWJLR0QIht6VegAAAAd0SU1FB+UFHwUdOJti/kEAAAGB
 SURBVDjLlZLNUoMwEMeDOubKojNcJTjj1YGOD9AyvEE5Oy3Ea9bLvr7ZTUhbpH78Lwn7y36jVGYW
 atvWPCml7gbrNe0v9O7BjRX5r4gP9ji9JjAJkOPQW8uhbgUMU4woh4AY6lKXoOskGTuugGkFjLGK
 YT2HpP9j8iUY/g2uhfJjb/s1oJRGMPVbsPiRjb7PXCVpAihMUTe8q8axxWlSJMICvIoKDIMMkubl
 Ajipatx+NiFEUgD247zkbtN3uzxsMOcm4+7suOl2Au73+zwzddtJM/3o17INyTkiXxT6eoBTv6gf
 pQmdIkdYPR4qIOR+KFFCKOpW1ts82zgSlP4B0Gz4Bxv6NESf2vlo3qt6aIQec8lBbPUHcWG1qWvT
 MsgqKLXYS/+EV9A0RjxKQgSKcvwAIY4doZQiifjCjwSUyCHkvQwfZwDhoBmVyUMsM4mppEEh0ceF
 I4yDUtTZpNUpuO9kOV4X/egbUYlcYyH27zrz16GB9BUb0os0p1ZPtx/0BRDzCCYXISHNAAAAJXRF
 WHRkYXRlOmNyZWF0ZQAyMDIxLTA1LTMxVDA1OjI5OjU2KzAwOjAwSqpf2wAAACV0RVh0ZGF0ZTpt
 b2RpZnkAMjAyMS0wNS0zMVQwNToyOTo1NiswMDowMDv352cAAAAASUVORK5CYII=
X-Now-Playing: Scorn's _Cafe Mor_: "Never Let It Be Said"
Date: Mon, 31 May 2021 07:48:45 +0200
In-Reply-To: <1540.59554.339986.24756@HIDDEN> (Roland Winkler's
 message of "Sun, 30 May 2021 16:39:16 -0500")
Message-ID: <8735u3lagy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  "Roland Winkler" <winkler@HIDDEN> writes: > One can also
 instruct font-lock to use for non-ascii characters > something like
 font-lock-warning-face
 (based on a user option for > enabling this behavior). 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47455
Cc: "47455 <at> debbugs.gnu.org" <47455 <at> debbugs.gnu.org>,
 Brian Elmegaard <be@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"Roland Winkler" <winkler@HIDDEN> writes:

> One can also instruct font-lock to use for non-ascii characters
> something like font-lock-warning-face (based on a user option for
> enabling this behavior).

Sounds like a good idea.

> However this fails with something like the unicode character
> 'ZERO WIDTH SPACE' (which has fooled me occassionally in the very
> context we are discussing here).  Is it possible to instruct emacs
> to make such "hidden characters" more easily visible, say by using
> some display property?

I vaguely remember a discussion about this not too long ago, but I can't
find it now.

All the other space "special" space characters, like NON-BREAKING SPACE
and the like, are fontified specially by default in Emacs 28.  But the
point of ZERO WIDTH SPACE is that it takes no room, which makes it
difficult to fontify.  :-)

But bibtex could apply a special display property here, or fontify the
surrounding characters in a special way.

> The fontification could also be encapsulated in a minor mode that
> one could use for \(Bib\|La\)?TeX files.
>
> Maybe such a minor mode exists already and I am right now
> reinventing the wheel?

I can't recall any such minor mode.  Anybody else?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47455; Package emacs. Full text available.

Message received at 47455 <at> debbugs.gnu.org:


Received: (at 47455) by debbugs.gnu.org; 30 May 2021 21:39:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 30 17:39:26 2021
Received: from localhost ([127.0.0.1]:60474 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lnT9a-0006Nu-FL
	for submit <at> debbugs.gnu.org; Sun, 30 May 2021 17:39:26 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41030)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <winkler@HIDDEN>) id 1lnT9W-0006Ng-Vo
 for 47455 <at> debbugs.gnu.org; Sun, 30 May 2021 17:39:24 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48048)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <winkler@HIDDEN>)
 id 1lnT9R-0007Gy-0R; Sun, 30 May 2021 17:39:17 -0400
Received: from [2600:1700:5650:f790:7ccd:4158:4a46:b3e0] (port=59096
 helo=regnitz)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <winkler@HIDDEN>)
 id 1lnT9Q-0007f3-Ry; Sun, 30 May 2021 17:39:16 -0400
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Message-ID: <1540.59554.339986.24756@HIDDEN>
Date: Sun, 30 May 2021 16:39:16 -0500
From: "Roland Winkler" <winkler@HIDDEN>
To: Brian Elmegaard <be@HIDDEN>
Subject: RE: bug#47455: 27.1; bibtex mode - citation key generation -
 non-ascii characters
In-Reply-To: <730b1644528547f78ea6910f882591d6@HIDDEN>
References: <aa8ebb57a9fb452fa0f5d3147ce5d922@HIDDEN>
 <87wnrwc9ia.fsf@HIDDEN>
 <3816.41298.758059.24740@HIDDEN>
 <878s43aivd.fsf@HIDDEN>
 <39413.75034.396197.24750@HIDDEN>
 <730b1644528547f78ea6910f882591d6@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 47455
Cc: Lars Ingebrigtsen <larsi@HIDDEN>,
 "47455 <at> debbugs.gnu.org" <47455 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On Fri May 28 2021 Brian Elmegaard wrote:
> I understand your reasoning about this being an issue with the
> tools used.  In auctex I can also enter \newcommand{\=C3=BC}{u} without
> being warned that it will not work with latex.
>=20
> The warning seems to be a good idea to me as well.

I realized:

One can also instruct font-lock to use for non-ascii characters
something like font-lock-warning-face (based on a user option for
enabling this behavior).

And Auctex could do the same.

However this fails with something like the unicode character
'ZERO WIDTH SPACE' (which has fooled me occassionally in the very
context we are discussing here).  Is it possible to instruct emacs
to make such "hidden characters" more easily visible, say by using
some display property?

The fontification could also be encapsulated in a minor mode that
one could use for \(Bib\|La\)?TeX files.

Maybe such a minor mode exists already and I am right now
reinventing the wheel?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47455; Package emacs. Full text available.

Message received at 47455 <at> debbugs.gnu.org:


Received: (at 47455) by debbugs.gnu.org; 28 May 2021 07:17:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 28 03:17:25 2021
Received: from localhost ([127.0.0.1]:53521 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmWkG-0002hJ-M6
	for submit <at> debbugs.gnu.org; Fri, 28 May 2021 03:17:24 -0400
Received: from mail-vi1eur05on2054.outbound.protection.outlook.com
 ([40.107.21.54]:55521 helo=EUR05-VI1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <be@HIDDEN>) id 1lmWkA-0002h1-TQ
 for 47455 <at> debbugs.gnu.org; Fri, 28 May 2021 03:17:23 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=CYOLIMhCg8FYh7O8bBlxivXRBUS2Xw/ylX3ylYeQRGN8de90MP4BakoRGW/kHI9DfsLZv0rntlgTWDFgw3uHA/012IGJ3EE1T55eHSHv9MyI5CIB+U3LCcoLoWLVLKxQYnNqZMS0C6ZC5DcR0PlUB6jvKCh6FR09GaZL9T42mW+2wb1FaIpPeBUhiip5hck9F9twJ/VfR749Y2Ck/QQuDM/YJPOcePaHIETTx0Kv6bHgfoqNk84h8c+VBYIiK51Jn47FwVS90p2pUfljcCnz7uQ6HPdOIDDH6ti31og0W532eObc5/t9WJs8mFZOY6bVZelN6P5nqhiDNHmfMXnMlQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=1g4IZBWOzVQIkLYQ4D51hhsa98HCYsQPB3AjRfrrq3E=;
 b=HhTRnU+6leFartpW1zOFd/0CS5WuOwyDXqz81UxlRZxLl5Ie9y/TmYhUQ/p8rfCWdJcfAnRi4aCCl0Ew/zqWW2T8C9rZQ4wtfO+9uRtrqO0fRmUl2ZMLrotrBlVgZToKsw3Tbu9bbvKLRtlTQxl+bnAnYMjN31Re025bL3DZiCBVfZ7sNjXaieJhG4eNPLu53VojMGs8WKk3TJVOJp3ieLfJdw+RyYNz2eEIYANJdx+TtoNCvQs3Yc2qXBxO4wtJWwM0o2mr4ONwnQPPHgCV0AIsOY8hbSljP1IWksmSfHZgyPD21qNd+KcRtWVfrBDL4JndPksFcocTISoWUtz4Zw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass (sender ip is
 192.38.82.194) smtp.rcpttodomain=gnu.org smtp.mailfrom=mek.dtu.dk; dmarc=pass
 (p=quarantine sp=quarantine pct=100) action=none header.from=mek.dtu.dk;
 dkim=none (message not signed); arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mek.dtu.dk;
 s=selector2;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=1g4IZBWOzVQIkLYQ4D51hhsa98HCYsQPB3AjRfrrq3E=;
 b=Mt8Lf4BxtZQ6eTOHQBsEh2M1DF4JGoT96eU5M7m8XHdDcIs1+xQyW+H/0F2Wzf6KAiwe7Rv/NiuHjUPSxD1Mygb1T8Z/puBnA6o+kEGihE4d9TMJKMMtjAhIXX2P+TcNysJwlP5rsHYH/Uf73ga71FbjcFAkbpap62kkNpxTidA=
Received: from DB6PR0501CA0015.eurprd05.prod.outlook.com (2603:10a6:4:8f::25)
 by PR3P192MB0556.EURP192.PROD.OUTLOOK.COM (2603:10a6:102:47::20) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4150.27; Fri, 28 May
 2021 07:17:11 +0000
Received: from DB5EUR01FT049.eop-EUR01.prod.protection.outlook.com
 (2603:10a6:4:8f:cafe::b8) by DB6PR0501CA0015.outlook.office365.com
 (2603:10a6:4:8f::25) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4173.20 via Frontend
 Transport; Fri, 28 May 2021 07:17:11 +0000
X-MS-Exchange-Authentication-Results: spf=pass (sender IP is 192.38.82.194)
 smtp.mailfrom=mek.dtu.dk; gnu.org; dkim=none (message not signed)
 header.d=none;gnu.org; dmarc=pass action=none header.from=mek.dtu.dk;
Received-SPF: Pass (protection.outlook.com: domain of mek.dtu.dk designates
 192.38.82.194 as permitted sender) receiver=protection.outlook.com;
 client-ip=192.38.82.194; helo=mail.win.dtu.dk;
Received: from mail.win.dtu.dk (192.38.82.194) by
 DB5EUR01FT049.mail.protection.outlook.com (10.152.5.138) with Microsoft SMTP
 Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256) id
 15.20.4150.30 via Frontend Transport; Fri, 28 May 2021 07:17:11 +0000
Received: from ait-pexsrv01.win.dtu.dk (192.38.82.194) by
 ait-pexsrv01.win.dtu.dk (192.38.82.194) with Microsoft SMTP Server
 (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256_P256) id
 15.1.2176.14; Fri, 28 May 2021 09:17:10 +0200
Received: from ait-pexsrv01.win.dtu.dk ([192.38.82.194]) by
 ait-pexsrv01.win.dtu.dk ([192.38.82.194]) with mapi id 15.01.2176.014; Fri,
 28 May 2021 09:17:10 +0200
From: Brian Elmegaard <be@HIDDEN>
To: Roland Winkler <winkler@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
Subject: RE: bug#47455: 27.1; bibtex mode - citation key generation -
 non-ascii characters
Thread-Topic: bug#47455: 27.1; bibtex mode - citation key generation -
 non-ascii characters
Thread-Index: AdckGPjNpDRmkKalTUe/PdbUWtNj/Qn5rnl/AAHq4gABOFvvjQBZ1K6AAFALgzA=
Date: Fri, 28 May 2021 07:17:10 +0000
Message-ID: <730b1644528547f78ea6910f882591d6@HIDDEN>
References: <aa8ebb57a9fb452fa0f5d3147ce5d922@HIDDEN>
 <87wnrwc9ia.fsf@HIDDEN>	<3816.41298.758059.24740@HIDDEN>
 <878s43aivd.fsf@HIDDEN> <39413.75034.396197.24750@HIDDEN>
In-Reply-To: <39413.75034.396197.24750@HIDDEN>
Accept-Language: da-DK, en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-originating-ip: [192.38.82.8]
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-EOPAttributedMessage: 0
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: 80d0054e-d7a5-4d93-09c3-08d921a89ca6
X-MS-TrafficTypeDiagnostic: PR3P192MB0556:
X-Microsoft-Antispam-PRVS: <PR3P192MB05561D7520A364ED86270BFEF4229@HIDDEN>
X-MS-Oob-TLC-OOBClassifiers: OLM:873;
X-MS-Exchange-SenderADCheck: 1
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: 5li0t8kJp9eG4aqtLN3uJsOzDp7v52S/SStfNx/EPZPLoYMDmKVw1xfQ3sRQ08GUnVW9RAdITjYx79vmV6DTC2y//RjHQu5soByh/+M7suJ3Idz4RwNLTd988SngHW5F/1be6SzrOUsWg4dQ0V4uSog8mUx/Q4GWaNvMlZh6ajmPreZmklM/urtB7gkkuqI7clfooknjVbMd69QhhOJDItLklzm1tPh8bXrKUL48w5KJbAFc6joju6SGvZ1IB6MbVHLvf0skO6ksz2CRliIhKFNlYQcFSq0n8+Y/JXwQ7MNMGZ7oFbc5R1busLhtW4/LlIUzLH8PD7O0WdlUuAWepK5BSFRa517QeZ4cSN0WJxHc1A3TM4XwjgmiGL6+cdq6HHzsh61d7KhWnxhDlY3hqqlUkdJGbCyeHYbWCthCq8xIoP6Szj6BGaNpkqCRaJcF29rADN4HqPUOpKz0T0cqkwPmOYF/BgLt3p+nxlItfDdt6qJW2FJ4dqkkk6eD4fxHu8y4kcLHBpPICGV9FmVsvslugtcKFnVV98cCtMyjKKwo2S6Ulftt6efgAcXw+ZkcsQAgA3CN4m/cxC5UxqFr9gqlBc6ZTUbe/7g/Ysb8K36htdk7LSUgYMgwjcC3KKjxqyNinrewUDix1PbL5ktuwJ3hBMoQANWoa3KxkrXOfpo=
X-Forefront-Antispam-Report: CIP:192.38.82.194; CTRY:DK; LANG:en; SCL:1; SRV:;
 IPV:CAL; SFV:NSPM; H:mail.win.dtu.dk; PTR:ait-pexsrv01.win.dtu.dk; CAT:NONE;
 SFS:(376002)(136003)(39850400004)(346002)(396003)(36840700001)(46966006)(36756003)(26005)(316002)(82310400003)(70586007)(110136005)(82740400003)(53546011)(2906002)(336012)(47076005)(956004)(478600001)(356005)(2616005)(5660300002)(70206006)(83380400001)(4326008)(108616005)(24736004)(8936002)(8676002)(86362001)(36860700001)(786003)(186003);
 DIR:OUT; SFP:1101; 
X-OriginatorOrg: mek.dtu.dk
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 May 2021 07:17:11.5215 (UTC)
X-MS-Exchange-CrossTenant-Network-Message-Id: 80d0054e-d7a5-4d93-09c3-08d921a89ca6
X-MS-Exchange-CrossTenant-Id: f251f123-c9ce-448e-9277-34bb285911d9
X-MS-Exchange-CrossTenant-OriginalAttributedTenantConnectingIp: TenantId=f251f123-c9ce-448e-9277-34bb285911d9; Ip=[192.38.82.194];
 Helo=[mail.win.dtu.dk]
X-MS-Exchange-CrossTenant-AuthSource: DB5EUR01FT049.eop-EUR01.prod.protection.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Anonymous
X-MS-Exchange-CrossTenant-FromEntityHeader: HybridOnPrem
X-MS-Exchange-Transport-CrossTenantHeadersStamped: PR3P192MB0556
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47455
Cc: "47455 <at> debbugs.gnu.org" <47455 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi

Thanks for looking into this.
I understand your reasoning about this being an issue with the tools used.
In auctex I can also enter \newcommand{\=FC}{u} without being warned that i=
t will not work with latex.

The warning seems to be a good idea to me as well.

Brian

-----Original Message-----
From: Roland Winkler <winkler@HIDDEN>=20
Sent: 26. maj 2021 20:57
To: Lars Ingebrigtsen <larsi@HIDDEN>
Cc: 47455 <at> debbugs.gnu.org; Brian Elmegaard <be@HIDDEN>
Subject: Re: bug#47455: 27.1; bibtex mode - citation key generation - non-a=
scii characters

On Tue May 25 2021 Lars Ingebrigtsen wrote:
> And this gets even more difficult to deal with for non-Latin scripts.
>=20
> So I'm not sure anything here can be done programmatically...  the=20
> command could output a warning?  "Probably invalid key"?

The warning is a good idea.  Actually, the warning should be issued if ther=
e are non-ascii characters anywhere in a BibTeX key because
(oldfashioned) BibTeX will choke on those no matter where they appear.  So =
I'll add a new element for the user variable bibtex-entry-format for this. =
 Then users can enable these warnings if they use oldfashioned BibTeX.  (Th=
ose who use modern variants of BibTeX need not enable these warnings.)

I believe that the real problem here lies in the fact that many publishers =
of scientific journals let you download citation records for their journal =
articles.  When they offer not only BibTeX-formatted records but other form=
ats, too, the BibTeX records are often malformed, decorated with non-ascii =
characters that BibTeX (and
LaTeX) cannot handle and other things.  I have been fooled a number of time=
s by "invisible" non-ascii characters.  So I will enable the new option for=
 myself!




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47455; Package emacs. Full text available.

Message received at 47455 <at> debbugs.gnu.org:


Received: (at 47455) by debbugs.gnu.org; 26 May 2021 18:57:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 26 14:57:03 2021
Received: from localhost ([127.0.0.1]:49951 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1llyiF-0000bQ-OC
	for submit <at> debbugs.gnu.org; Wed, 26 May 2021 14:57:03 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44684)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <winkler@HIDDEN>) id 1llyiE-0000am-1R
 for 47455 <at> debbugs.gnu.org; Wed, 26 May 2021 14:57:02 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43244)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <winkler@HIDDEN>)
 id 1llyi8-0005My-1N; Wed, 26 May 2021 14:56:56 -0400
Received: from [2600:1700:5650:f790:7ccd:4158:4a46:b3e0] (port=48070
 helo=regnitz)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <winkler@HIDDEN>)
 id 1llyi6-0002eU-Hy; Wed, 26 May 2021 14:56:55 -0400
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <39413.75034.396197.24750@HIDDEN>
Date: Wed, 26 May 2021 13:56:53 -0500
From: "Roland Winkler" <winkler@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#47455: 27.1; bibtex mode - citation key generation -
 non-ascii characters
In-Reply-To: <878s43aivd.fsf@HIDDEN>
References: <aa8ebb57a9fb452fa0f5d3147ce5d922@HIDDEN>
 <87wnrwc9ia.fsf@HIDDEN>
 <3816.41298.758059.24740@HIDDEN>
 <878s43aivd.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 47455
Cc: 47455 <at> debbugs.gnu.org, Brian Elmegaard <be@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On Tue May 25 2021 Lars Ingebrigtsen wrote:
> And this gets even more difficult to deal with for non-Latin scripts.
> 
> So I'm not sure anything here can be done programmatically...  the
> command could output a warning?  "Probably invalid key"?

The warning is a good idea.  Actually, the warning should be issued
if there are non-ascii characters anywhere in a BibTeX key because
(oldfashioned) BibTeX will choke on those no matter where they
appear.  So I'll add a new element for the user variable
bibtex-entry-format for this.  Then users can enable these warnings
if they use oldfashioned BibTeX.  (Those who use modern variants of
BibTeX need not enable these warnings.)

I believe that the real problem here lies in the fact that many
publishers of scientific journals let you download citation records
for their journal articles.  When they offer not only BibTeX-formatted
records but other formats, too, the BibTeX records are often
malformed, decorated with non-ascii characters that BibTeX (and
LaTeX) cannot handle and other things.  I have been fooled a number
of times by "invisible" non-ascii characters.  So I will enable the
new option for myself!




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47455; Package emacs. Full text available.

Message received at 47455 <at> debbugs.gnu.org:


Received: (at 47455) by debbugs.gnu.org; 24 May 2021 22:05:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 24 18:05:05 2021
Received: from localhost ([127.0.0.1]:44090 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1llIh6-00040k-Az
	for submit <at> debbugs.gnu.org; Mon, 24 May 2021 18:05:05 -0400
Received: from quimby.gnus.org ([95.216.78.240]:36770)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1llIgp-0003zy-Ih
 for 47455 <at> debbugs.gnu.org; Mon, 24 May 2021 18:05:02 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=qayepH7uksoFRK4wuP8OYg3wqRhxI6Q8rA0UeFuKEv8=; b=W0WJz/AhCmc+bjh50BXnlA08bD
 Z8r3Hm4w4scV++1qBvaoUPJqcmEaFsc+LxAOMZJC/iUICqMnbSNNz09pKL6blO/q27fWGDADgNaRc
 Jji8gJb4AQMD8ptJSJQwxRqX83aWIjN7VivxipxfFOAHtcYVh50NAe1GHD8GO7PNHM1k=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1llIgg-0006gs-VE; Tue, 25 May 2021 00:04:41 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Roland Winkler" <winkler@HIDDEN>
Subject: Re: bug#47455: 27.1; bibtex mode - citation key generation -
 non-ascii characters
References: <aa8ebb57a9fb452fa0f5d3147ce5d922@HIDDEN>
 <87wnrwc9ia.fsf@HIDDEN> <3816.41298.758059.24740@HIDDEN>
X-Now-Playing: Mikel Rouse's _Swingers Castle_: "Hollywood & Sons"
Date: Tue, 25 May 2021 00:04:38 +0200
In-Reply-To: <3816.41298.758059.24740@HIDDEN> (Roland Winkler's
 message of "Tue, 18 May 2021 14:00:56 -0500")
Message-ID: <878s43aivd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: "Roland Winkler" <winkler@HIDDEN> writes: > I vaguely
 remember
 an old thread that started from the very question > raised here and expanding
 on how asciification can be encapsulated > in some generic piece of elisp
 code. But I cannot find it [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47455
Cc: 47455 <at> debbugs.gnu.org, Brian Elmegaard <be@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"Roland Winkler" <winkler@HIDDEN> writes:

> I vaguely remember an old thread that started from the very question
> raised here and expanding on how asciification can be encapsulated
> in some generic piece of elisp code.  But I cannot find it anymore
> and I do not know either whether this would be possible at all.  I
> believe, everyone agrees on asciification of German umlaute like
>
>   =C3=A4 -> ae
>
> But beyond that, I do not know how to do this satisfactorily.

And this gets even more difficult to deal with for non-Latin scripts.

So I'm not sure anything here can be done programmatically...  the
command could output a warning?  "Probably invalid key"?

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47455; Package emacs. Full text available.

Message received at 47455 <at> debbugs.gnu.org:


Received: (at 47455) by debbugs.gnu.org; 18 May 2021 19:01:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 18 15:01:11 2021
Received: from localhost ([127.0.0.1]:57312 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lj4xq-0004Vg-6W
	for submit <at> debbugs.gnu.org; Tue, 18 May 2021 15:01:11 -0400
Received: from eggs.gnu.org ([209.51.188.92]:32918)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <winkler@HIDDEN>) id 1lj4xk-0004V3-2K
 for 47455 <at> debbugs.gnu.org; Tue, 18 May 2021 15:01:07 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47608)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <winkler@HIDDEN>)
 id 1lj4xe-0004wn-1x; Tue, 18 May 2021 15:00:58 -0400
Received: from [2600:1700:5650:f790:7ccd:4158:4a46:b3e0] (port=52356
 helo=regnitz)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <winkler@HIDDEN>)
 id 1lj4xd-0002Vy-Sa; Tue, 18 May 2021 15:00:57 -0400
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Message-ID: <3816.41298.758059.24740@HIDDEN>
Date: Tue, 18 May 2021 14:00:56 -0500
From: "Roland Winkler" <winkler@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#47455: 27.1; bibtex mode - citation key generation -
 non-ascii characters
In-Reply-To: <87wnrwc9ia.fsf@HIDDEN>
References: <aa8ebb57a9fb452fa0f5d3147ce5d922@HIDDEN>
 <87wnrwc9ia.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 47455
Cc: 47455 <at> debbugs.gnu.org, Brian Elmegaard <be@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On Tue May 18 2021 Lars Ingebrigtsen wrote:
> Brian Elmegaard <be@HIDDEN> writes:
>=20
> > Using C-c C-c in a bibtex cleans the entry and generates a citation key.
> > If the author name includes non-ascii characters these are included in
> > the key, even though BibTeX does not accept this.
>=20
> Is this the case for all versions of BibTeX?

I believe the problem lies here already in BibTeX itself, that is,
BibTeX [like conventional (La)TeX] does not like non-ascii
characters anywhere, not in the key nor anywhere else.

Of course, there is biblatex and also new versions of (La)TeX that
can handle non-ascii characters.  But that's a separate story.

> > For example:
> >
> > @Article{=C3=A4=C3=B6=C3=BC21,
> >   author =3D          {=C3=A6=C3=B8=C3=A5 =C3=A4=C3=B6=C3=BC},
>=20
> I guess Emacs could an asciification of some sort here, but I'm
> not sure there's any that's universally accepted?

The default of the user variable bibtex-autokey-transcriptions
handles "LaTeX non-ascii" characters like \"a.  You can customize
these rules to your liking.

I vaguely remember an old thread that started from the very question
raised here and expanding on how asciification can be encapsulated
in some generic piece of elisp code.  But I cannot find it anymore
and I do not know either whether this would be possible at all.  I
believe, everyone agrees on asciification of German umlaute like

  =C3=A4 -> ae

But beyond that, I do not know how to do this satisfactorily.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47455; Package emacs. Full text available.

Message received at 47455 <at> debbugs.gnu.org:


Received: (at 47455) by debbugs.gnu.org; 18 May 2021 16:06:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 18 12:06:01 2021
Received: from localhost ([127.0.0.1]:57046 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lj2EK-0008FP-TX
	for submit <at> debbugs.gnu.org; Tue, 18 May 2021 12:06:01 -0400
Received: from quimby.gnus.org ([95.216.78.240]:43766)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lj2EI-0008FB-T5
 for 47455 <at> debbugs.gnu.org; Tue, 18 May 2021 12:06:00 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=cEMiShXAaFj5Akn8EfSwPE1BqKOKK1aIRFgpF/eHhAc=; b=MoTCGuilGwdT+SC3UEtUWLM6Jp
 MzFmfyiZLVqHHeGdKDN9dPj30rv5Kw6WITCMiLWBKz7YBaKYL7GFwvRK6HTRKzc7W+/p7z7GGhymn
 AgdgXjeop+WyMS0hBA11oZVYf83+CZBYMqo3L/T9EMTdCyWMy+XQR2rM6elzYQJwobNU=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lj2E9-00076M-QG; Tue, 18 May 2021 18:05:52 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Brian Elmegaard <be@HIDDEN>
Subject: Re: bug#47455: 27.1; bibtex mode - citation key generation -
 non-ascii characters
References: <aa8ebb57a9fb452fa0f5d3147ce5d922@HIDDEN>
X-Now-Playing: Matt Shadetek's _The Empire Never Ended_: "Palm Tree Garden"
Date: Tue, 18 May 2021 18:05:49 +0200
In-Reply-To: <aa8ebb57a9fb452fa0f5d3147ce5d922@HIDDEN> (Brian Elmegaard's
 message of "Sun, 28 Mar 2021 21:26:36 +0000")
Message-ID: <87wnrwc9ia.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Brian Elmegaard <be@HIDDEN> writes: > Using C-c C-c in
 a bibtex cleans the entry and generates a citation key. > > If the author
 name includes non-ascii characters these are included in > > the key, even
 though BibTeX does not accept th [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47455
Cc: 47455 <at> debbugs.gnu.org, Roland Winkler <winkler@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Brian Elmegaard <be@HIDDEN> writes:

> Using C-c C-c in a bibtex cleans the entry and generates a citation key.
>
> If the author name includes non-ascii characters these are included in
>
> the key, even though BibTeX does not accept this.

Is this the case for all versions of BibTeX?

> For example:
>
> @Article{=C3=A4=C3=B6=C3=BC21,
>
>   author =3D          {=C3=A6=C3=B8=C3=A5 =C3=A4=C3=B6=C3=BC},
>
>   title =3D               {foo},
>
>   journal =3D          {bar},
>
>   year =3D               2021}

I guess Emacs could an asciification of some sort here, but I'm not sure
there's any that's universally accepted?  I've added Roland to the
CCs -- perhaps he has some comments.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47455; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Mar 2021 21:44:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 28 17:44:40 2021
Received: from localhost ([127.0.0.1]:47218 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQdD5-0004NU-Dx
	for submit <at> debbugs.gnu.org; Sun, 28 Mar 2021 17:44:40 -0400
Received: from lists.gnu.org ([209.51.188.17]:35214)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <be@HIDDEN>) id 1lQdAL-0004Hz-Dy
 for submit <at> debbugs.gnu.org; Sun, 28 Mar 2021 17:41:50 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:51342)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <be@HIDDEN>) id 1lQdAL-00023N-62
 for bug-gnu-emacs@HIDDEN; Sun, 28 Mar 2021 17:41:49 -0400
Received: from mail-eopbgr80059.outbound.protection.outlook.com
 ([40.107.8.59]:31518 helo=EUR04-VI1-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <be@HIDDEN>) id 1lQdAG-0004fQ-Pn
 for bug-gnu-emacs@HIDDEN; Sun, 28 Mar 2021 17:41:47 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=VF7VSF6vKyuiSl6c1snivp5ceKWFvmj/xX+o/QRt+uIQIgbmcY5k3fT6cqas/R63BKRycOx35L9s+6KYcSLtIqhuySKVJUQGvdZWevkLhRG+jRWAKbi9/zTVp4VXxWs3c1GNZRoRA953+McUeUQfXzq17c5nwpc+NMeH4XPidhClSSNdHFZD13G4QgFuCZl8hLI3ybuIiAiHjpN3Rc3QqOC2qJVso91MCQuYLrGU9HvKAQTdSwLjCJgemi95DPp4j++mcZZjpwlLS7mzoz8PSW/XqAIkPo3Ya3bJoO3yMT5bysn7Cb/dKJXda2dXz0ZnoQekCjkUUVzszi0F6ljpbw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=Ivuo3VSdZT3/Ziv9M4R8OukFh2VSNt+OZk8U2z47bp4=;
 b=hZvh/2AJqBjRifS3km8mj3cmS1va5Q7y5MUgalkBmlNwkwApM9nacUOCg/hsK8l0Uq9sLca/e6XAcXHT9ludyZrFnpUtcfdOuWjyI1GFboCPFQJCrXccdepja2CSfa22Uu0KtpaobqQrDn6XnKKqZKHPhFaCpFw03LJqeWh1jlZDSbxwHgCQmAKqg00Reo2FR3wfP9iihvAY3avFmpAxD8YwlWahW6FwbALCUOB5jsVGCT+OB6H/v50tgdBIuZB9Pujw5XfTqVvfIzmIpnsXjFjXanPv9kWqUiRX2t7Oi533zWn7dpN2wYqz0J1bfgcwcsJWOzXtLxVi6m1ghfGN9w==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass (sender ip is
 192.38.82.194) smtp.rcpttodomain=gnu.org smtp.mailfrom=mek.dtu.dk; dmarc=pass
 (p=quarantine sp=quarantine pct=100) action=none header.from=mek.dtu.dk;
 dkim=none (message not signed); arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mek.dtu.dk;
 s=selector2;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=Ivuo3VSdZT3/Ziv9M4R8OukFh2VSNt+OZk8U2z47bp4=;
 b=RirwW3P84jQCsV+985gQDEvfp/jgeKTxepcvggXPJy1JfQnE9UJa+8lEcHhDaltHa71X7whl+qMl/Aay3vdjcOFswJWEVGvcnCP1i0nQpTnxOk1pZ/dCLYYe5KaSznqvI7zXUGLwVnCNX2yQva8mc17jadAsu3fcfF4uIlK4SnA=
Received: from AM5PR0201CA0014.eurprd02.prod.outlook.com
 (2603:10a6:203:3d::24) by DB8P192MB0565.EURP192.PROD.OUTLOOK.COM
 (2603:10a6:10:16b::9) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3977.26; Sun, 28 Mar
 2021 21:26:37 +0000
Received: from HE1EUR01FT063.eop-EUR01.prod.protection.outlook.com
 (2603:10a6:203:3d:cafe::f9) by AM5PR0201CA0014.outlook.office365.com
 (2603:10a6:203:3d::24) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3977.24 via Frontend
 Transport; Sun, 28 Mar 2021 21:26:37 +0000
X-MS-Exchange-Authentication-Results: spf=pass (sender IP is 192.38.82.194)
 smtp.mailfrom=mek.dtu.dk; gnu.org; dkim=none (message not signed)
 header.d=none;gnu.org; dmarc=pass action=none header.from=mek.dtu.dk;
Received-SPF: Pass (protection.outlook.com: domain of mek.dtu.dk designates
 192.38.82.194 as permitted sender) receiver=protection.outlook.com;
 client-ip=192.38.82.194; helo=mail.win.dtu.dk;
Received: from mail.win.dtu.dk (192.38.82.194) by
 HE1EUR01FT063.mail.protection.outlook.com (10.152.1.51) with Microsoft SMTP
 Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256) id
 15.20.3977.25 via Frontend Transport; Sun, 28 Mar 2021 21:26:36 +0000
Received: from ait-pexsrv06.win.dtu.dk (192.38.82.199) by
 ait-pexsrv01.win.dtu.dk (192.38.82.194) with Microsoft SMTP Server
 (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256_P256) id
 15.1.2176.2; Sun, 28 Mar 2021 23:26:36 +0200
Received: from ait-pexsrv01.win.dtu.dk (192.38.82.194) by
 ait-pexsrv06.win.dtu.dk (192.38.82.199) with Microsoft SMTP Server
 (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256_P256) id
 15.1.2176.2; Sun, 28 Mar 2021 23:26:36 +0200
Received: from ait-pexsrv01.win.dtu.dk ([192.38.82.194]) by
 ait-pexsrv01.win.dtu.dk ([192.38.82.194]) with mapi id 15.01.2176.009; Sun,
 28 Mar 2021 23:26:36 +0200
From: Brian Elmegaard <be@HIDDEN>
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
Subject: 27.1; bibtex mode - citation key generation - non-ascii characters
Thread-Topic: 27.1; bibtex mode - citation key generation - non-ascii
 characters
Thread-Index: AdckGPjNpDRmkKalTUe/PdbUWtNj/Q==
Date: Sun, 28 Mar 2021 21:26:36 +0000
Message-ID: <aa8ebb57a9fb452fa0f5d3147ce5d922@HIDDEN>
Accept-Language: da-DK, en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-originating-ip: [192.38.82.8]
Content-Type: multipart/alternative;
 boundary="_000_aa8ebb57a9fb452fa0f5d3147ce5d922mekdtudk_"
MIME-Version: 1.0
X-EOPAttributedMessage: 0
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: 9424c8b5-dcf1-49be-e721-08d8f2302b1b
X-MS-TrafficTypeDiagnostic: DB8P192MB0565:
X-Microsoft-Antispam-PRVS: <DB8P192MB0565A1FFF676110E30EE01B0F47F9@HIDDEN>
X-MS-Oob-TLC-OOBClassifiers: OLM:2733;
X-MS-Exchange-SenderADCheck: 1
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: oRc2VO7MPhnTsbfJ7xIwUOkY35Ko4ZtcLLuDFLisvPwSrfrKFhk7rRHSMhZ75IzzRY0Yr1HxGHnZdfVIuWiSlExMxwNOKySBHT+/9KU3CIVsR0Bn2R4LLF4bHpGzwFott7c6aV/OaMeyeC+Fa3Pml/SdSyDkweNrRq5GSfX+RqCIEyMU8LpsiQIEyftFHhUWkHOoCWRkUeSCyaN4wSRdGGR2+FjXt9FGNIDVU40C3iHLD3GjY30VcntK6AcKcrU95HSERBiyw2W5HVtyayp92LsHp8ti54QyQgXUzJhZ00cM0SMlRWvFzBaiYg48K/Q9cPT0aCazYpU0VRltdPrSiCEVRWVu5CUsHXs9T0b0MSKbi7GHbACCQ2ppoDovOvRDMr23pd0B88i63ynat+Ic1VqsJmjtH9aXgZ6EAIac538E4v0tXkch3mWfWgf0wczjXHqTolRUnQvNFIh6i0cUctXnr+aDVEsWoFXSa4zTRcHg/tbHBtgfJKVEm7wy45TzA6dvmj9sykfPBcPD8SIA+vUlYC82DvRDp0eOzb258rQ2gtKBMIKqywD9zNllb4/vfdI9fTphp0WRiE9A3LbfJg75dGIswaCG5lM6OrpywvqEloKNVc63t2LIncDshh3YrHk1aTLdXtGalJnAPnuVPLBguI85zDJGon3CNctoBDQ=
X-Forefront-Antispam-Report: CIP:192.38.82.194; CTRY:DK; LANG:en; SCL:1; SRV:;
 IPV:CAL; SFV:NSPM; H:mail.win.dtu.dk; PTR:ait-pexsrv01.win.dtu.dk; CAT:NONE;
 SFS:(136003)(39860400002)(396003)(376002)(346002)(36840700001)(46966006)(86362001)(47076005)(83380400001)(82310400003)(82740400003)(45080400002)(70206006)(24736004)(70586007)(356005)(36756003)(36860700001)(8676002)(108616005)(316002)(8936002)(26005)(5660300002)(786003)(2906002)(2616005)(956004)(186003)(336012)(6916009)(478600001);
 DIR:OUT; SFP:1101; 
X-OriginatorOrg: mek.dtu.dk
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Mar 2021 21:26:36.8086 (UTC)
X-MS-Exchange-CrossTenant-Network-Message-Id: 9424c8b5-dcf1-49be-e721-08d8f2302b1b
X-MS-Exchange-CrossTenant-Id: f251f123-c9ce-448e-9277-34bb285911d9
X-MS-Exchange-CrossTenant-OriginalAttributedTenantConnectingIp: TenantId=f251f123-c9ce-448e-9277-34bb285911d9; Ip=[192.38.82.194];
 Helo=[mail.win.dtu.dk]
X-MS-Exchange-CrossTenant-AuthSource: HE1EUR01FT063.eop-EUR01.prod.protection.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Anonymous
X-MS-Exchange-CrossTenant-FromEntityHeader: HybridOnPrem
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DB8P192MB0565
Received-SPF: pass client-ip=40.107.8.59; envelope-from=be@HIDDEN;
 helo=EUR04-VI1-obe.outbound.protection.outlook.com
X-Spam_score_int: -26
X-Spam_score: -2.7
X-Spam_bar: --
X-Spam_report: (-2.7 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, HTML_MESSAGE=0.001,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 28 Mar 2021 17:44:38 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--_000_aa8ebb57a9fb452fa0f5d3147ce5d922mekdtudk_
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable



Using C-c C-c in a bibtex cleans the entry and generates a citation key.
If the author name includes non-ascii characters these are included in
the key, even though BibTeX does not accept this.

For example:
@Article{=E4=F6=FC21,
  author =3D          {=E6=F8=E5 =E4=F6=FC},
  title =3D               {foo},
  journal =3D          {bar},
  year =3D               2021}



In GNU Emacs 27.1 (build 1, x86_64-w64-mingw32)
of 2020-08-21 built on CIRROCUMULUS
Repository revision: 86d8d76aa36037184db0b2897c434cdaab1a9ae8
Repository branch: HEAD
Windowing system distributor 'Microsoft Corp.', version 10.0.17134
System Description: Microsoft Windows 10 Enterprise (v10.0.1803.17134.2087)

Recent messages:
Checking 71 files in c:/Program Files (x86)/Emacs/emacs-27.1-x86_64/share/e=
macs/27.1/lisp/erc...
Checking 34 files in c:/Program Files (x86)/Emacs/emacs-27.1-x86_64/share/e=
macs/27.1/lisp/emulation...
Checking 180 files in c:/Program Files (x86)/Emacs/emacs-27.1-x86_64/share/=
emacs/27.1/lisp/emacs-lisp...
Checking 24 files in c:/Program Files (x86)/Emacs/emacs-27.1-x86_64/share/e=
macs/27.1/lisp/cedet...
Checking 59 files in c:/Program Files (x86)/Emacs/emacs-27.1-x86_64/share/e=
macs/27.1/lisp/calendar...
Checking 87 files in c:/Program Files (x86)/Emacs/emacs-27.1-x86_64/share/e=
macs/27.1/lisp/calc...
Checking 113 files in c:/Program Files (x86)/Emacs/emacs-27.1-x86_64/share/=
emacs/27.1/lisp/obsolete...
Checking 1 files in c:/Users/brel/AppData/Roaming/.emacs.d/lisp/dna-mode...
Checking for load-path shadows...done
Making completion list...

Configured using:
'configure --without-dbus --host=3Dx86_64-w64-mingw32
--without-compress-install 'CFLAGS=3D-O2 -static''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY W32NOTIFY ACL GNUTLS LIBXML2
HARFBUZZ ZLIB TOOLKIT_SCROLL_BARS MODULES THREADS JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: DAN
  locale-coding-system: cp1252

Major mode: Lisp Interaction

Minor modes in effect:
  save-place-mode: t
  delete-selection-mode: t
  show-paren-mode: t
  recentf-mode: t
  global-auto-revert-mode: t
  cua-mode: t
  TeX-PDF-mode: t
  TeX-source-correlate-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(help-mode pp shadow sort mail-extr emacsbug message rmc puny dired
dired-loaddefs format-spec rfc822 mml mml-sec epa derived epg epg-config
gnus-util rmail rmail-loaddefs text-property-search time-date mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
saveplace delsel paren recentf tree-widget wid-edit autorevert
filenotify cua-base cus-start cus-load server tex-mik tex crm advice
texmathp finder-inf info tex-site package easymenu browse-url
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json subr-x map url-vars seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel dos-w32 ls-lisp
disp-table term/w32-win w32-win w32-vars term/common-win tool-bar dnd
fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads w32notify w32
lcms2 multi-tty make-network-process emacs)

Memory information:
((conses 16 100510 8583)
(symbols 48 10963 1)
(strings 32 33640 2227)
(string-bytes 1 1011136)
(vectors 16 16807)
(vector-slots 8 206002 13918)
(floats 8 44 213)
(intervals 56 279 0)
(buffers 1000 15))

--_000_aa8ebb57a9fb452fa0f5d3147ce5d922mekdtudk_
Content-Type: text/html; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

<html xmlns:v=3D"urn:schemas-microsoft-com:vml" xmlns:o=3D"urn:schemas-micr=
osoft-com:office:office" xmlns:w=3D"urn:schemas-microsoft-com:office:word" =
xmlns:m=3D"http://schemas.microsoft.com/office/2004/12/omml" xmlns=3D"http:=
//www.w3.org/TR/REC-html40">
<head>
<meta http-equiv=3D"Content-Type" content=3D"text/html; charset=3Diso-8859-=
1">
<meta name=3D"Generator" content=3D"Microsoft Word 15 (filtered medium)">
<style><!--
/* Font Definitions */
@font-face
	{font-family:"Cambria Math";
	panose-1:2 4 5 3 5 4 6 3 2 4;}
@font-face
	{font-family:Calibri;
	panose-1:2 15 5 2 2 2 4 3 2 4;}
/* Style Definitions */
p.MsoNormal, li.MsoNormal, div.MsoNormal
	{margin:0cm;
	margin-bottom:.0001pt;
	font-size:11.0pt;
	font-family:"Calibri",sans-serif;
	mso-fareast-language:EN-US;}
a:link, span.MsoHyperlink
	{mso-style-priority:99;
	color:#0563C1;
	text-decoration:underline;}
a:visited, span.MsoHyperlinkFollowed
	{mso-style-priority:99;
	color:#954F72;
	text-decoration:underline;}
p.MsoPlainText, li.MsoPlainText, div.MsoPlainText
	{mso-style-priority:99;
	mso-style-link:"Plain Text Char";
	margin:0cm;
	margin-bottom:.0001pt;
	font-size:11.0pt;
	font-family:"Calibri",sans-serif;
	mso-fareast-language:EN-US;}
p.msonormal0, li.msonormal0, div.msonormal0
	{mso-style-name:msonormal;
	mso-margin-top-alt:auto;
	margin-right:0cm;
	mso-margin-bottom-alt:auto;
	margin-left:0cm;
	font-size:12.0pt;
	font-family:"Times New Roman",serif;}
span.PlainTextChar
	{mso-style-name:"Plain Text Char";
	mso-style-priority:99;
	mso-style-link:"Plain Text";
	font-family:"Calibri",sans-serif;}
span.EmailStyle20
	{mso-style-type:personal-compose;}
.MsoChpDefault
	{mso-style-type:export-only;
	font-size:10.0pt;}
@page WordSection1
	{size:612.0pt 792.0pt;
	margin:72.0pt 72.0pt 72.0pt 72.0pt;}
div.WordSection1
	{page:WordSection1;}
--></style><!--[if gte mso 9]><xml>
<o:shapedefaults v:ext=3D"edit" spidmax=3D"1026" />
</xml><![endif]--><!--[if gte mso 9]><xml>
<o:shapelayout v:ext=3D"edit">
<o:idmap v:ext=3D"edit" data=3D"1" />
</o:shapelayout></xml><![endif]-->
</head>
<body lang=3D"DA" link=3D"#0563C1" vlink=3D"#954F72">
<div class=3D"WordSection1">
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">Using C-c C-c in a bibtex clean=
s the entry and generates a citation key.<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">If the author name includes non=
-ascii characters these are included in<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">the key, even though BibTeX doe=
s not accept this.<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US"><o:p>&nbsp;</o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">For example:<o:p></o:p></span><=
/p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">@Article{=E4=F6=FC21,<o:p></o:p=
></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">&nbsp; author =3D &nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;{=E6=F8=E5 =E4=F6=FC},<o:p></o:p></span=
></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">&nbsp; title =3D &nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;{foo},<o:p=
></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">&nbsp; journal =3D &nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;{bar},<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">&nbsp; year =3D &nbsp;&nbsp;&nb=
sp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;2021}<o:p><=
/o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US"><o:p>&nbsp;</o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US"><o:p>&nbsp;</o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US"><o:p>&nbsp;</o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">In GNU Emacs 27.1 (build 1, x86=
_64-w64-mingw32)<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">of 2020-08-21 built on CIRROCUM=
ULUS<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">Repository revision: 86d8d76aa3=
6037184db0b2897c434cdaab1a9ae8<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">Repository branch: HEAD<o:p></o=
:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">Windowing system distributor 'M=
icrosoft Corp.', version 10.0.17134<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">System Description: Microsoft W=
indows 10 Enterprise (v10.0.1803.17134.2087)<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US"><o:p>&nbsp;</o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">Recent messages:<o:p></o:p></sp=
an></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">Checking 71 files in c:/Program=
 Files (x86)/Emacs/emacs-27.1-x86_64/share/emacs/27.1/lisp/erc...<o:p></o:p=
></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">Checking 34 files in c:/Program=
 Files (x86)/Emacs/emacs-27.1-x86_64/share/emacs/27.1/lisp/emulation...<o:p=
></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">Checking 180 files in c:/Progra=
m Files (x86)/Emacs/emacs-27.1-x86_64/share/emacs/27.1/lisp/emacs-lisp...<o=
:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">Checking 24 files in c:/Program=
 Files (x86)/Emacs/emacs-27.1-x86_64/share/emacs/27.1/lisp/cedet...<o:p></o=
:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">Checking 59 files in c:/Program=
 Files (x86)/Emacs/emacs-27.1-x86_64/share/emacs/27.1/lisp/calendar...<o:p>=
</o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">Checking 87 files in c:/Program=
 Files (x86)/Emacs/emacs-27.1-x86_64/share/emacs/27.1/lisp/calc...<o:p></o:=
p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">Checking 113 files in c:/Progra=
m Files (x86)/Emacs/emacs-27.1-x86_64/share/emacs/27.1/lisp/obsolete...<o:p=
></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">Checking 1 files in c:/Users/br=
el/AppData/Roaming/.emacs.d/lisp/dna-mode...<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">Checking for load-path shadows.=
..done<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">Making completion list...<o:p><=
/o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US"><o:p>&nbsp;</o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">Configured using:<o:p></o:p></s=
pan></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">'configure --without-dbus --hos=
t=3Dx86_64-w64-mingw32<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">--without-compress-install 'CFL=
AGS=3D-O2 -static''<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US"><o:p>&nbsp;</o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">Configured features:<o:p></o:p>=
</span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">XPM JPEG TIFF GIF PNG RSVG SOUN=
D NOTIFY W32NOTIFY ACL GNUTLS LIBXML2<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">HARFBUZZ ZLIB TOOLKIT_SCROLL_BA=
RS MODULES THREADS JSON PDUMPER LCMS2 GMP<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US"><o:p>&nbsp;</o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">Important settings:<o:p></o:p><=
/span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">&nbsp; value of $LANG: DAN<o:p>=
</o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">&nbsp; locale-coding-system: cp=
1252<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US"><o:p>&nbsp;</o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">Major mode: Lisp Interaction<o:=
p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US"><o:p>&nbsp;</o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">Minor modes in effect:<o:p></o:=
p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">&nbsp; save-place-mode: t<o:p><=
/o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">&nbsp; delete-selection-mode: t=
<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">&nbsp; show-paren-mode: t<o:p><=
/o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">&nbsp; recentf-mode: t<o:p></o:=
p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">&nbsp; global-auto-revert-mode:=
 t<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">&nbsp; cua-mode: t<o:p></o:p></=
span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">&nbsp; TeX-PDF-mode: t<o:p></o:=
p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">&nbsp; TeX-source-correlate-mod=
e: t<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">&nbsp; tooltip-mode: t<o:p></o:=
p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">&nbsp; global-eldoc-mode: t<o:p=
></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">&nbsp; eldoc-mode: t<o:p></o:p>=
</span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">&nbsp; electric-indent-mode: t<=
o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">&nbsp; mouse-wheel-mode: t<o:p>=
</o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">&nbsp; tool-bar-mode: t<o:p></o=
:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">&nbsp; menu-bar-mode: t<o:p></o=
:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">&nbsp; file-name-shadow-mode: t=
<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">&nbsp; global-font-lock-mode: t=
<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">&nbsp; font-lock-mode: t<o:p></=
o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">&nbsp; auto-composition-mode: t=
<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">&nbsp; auto-encryption-mode: t<=
o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">&nbsp; auto-compression-mode: t=
<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">&nbsp; line-number-mode: t<o:p>=
</o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">&nbsp; transient-mark-mode: t<o=
:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US"><o:p>&nbsp;</o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">Load-path shadows:<o:p></o:p></=
span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">None found.<o:p></o:p></span></=
p>
<p class=3D"MsoNormal"><span lang=3D"EN-US"><o:p>&nbsp;</o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">Features:<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">(help-mode pp shadow sort mail-=
extr emacsbug message rmc puny dired<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">dired-loaddefs format-spec rfc8=
22 mml mml-sec epa derived epg epg-config<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">gnus-util rmail rmail-loaddefs =
text-property-search time-date mm-decode<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">mm-bodies mm-encode mail-parse =
rfc2231 mailabbrev gmm-utils mailheader<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">sendmail rfc2047 rfc2045 ietf-d=
rums mm-util mail-prsvr mail-utils<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">saveplace delsel paren recentf =
tree-widget wid-edit autorevert<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">filenotify cua-base cus-start c=
us-load server tex-mik tex crm advice<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">texmathp finder-inf info tex-si=
te package easymenu browse-url<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">url-handlers url-parse auth-sou=
rce cl-seq eieio eieio-core cl-macs<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">eieio-loaddefs password-cache j=
son subr-x map url-vars seq byte-opt gv<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">bytecomp byte-compile cconv cl-=
loaddefs cl-lib tooltip eldoc electric<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">uniquify ediff-hook vc-hooks li=
sp-float-type mwheel dos-w32 ls-lisp<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">disp-table term/w32-win w32-win=
 w32-vars term/common-win tool-bar dnd<o:p></o:p></span></p>
<p class=3D"MsoNormal">fontset image regexp-opt fringe tabulated-list repla=
ce newcomment<o:p></o:p></p>
<p class=3D"MsoNormal">text-mode elisp-mode lisp-mode prog-mode register pa=
ge tab-bar menu-bar<o:p></o:p></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">rfn-eshadow isearch timer selec=
t scroll-bar mouse jit-lock font-lock<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">syntax facemenu font-core term/=
tty-colors frame minibuffer cl-generic<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">cham georgian utf-8-lang misc-l=
ang vietnamese tibetan thai tai-viet lao<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">korean japanese eucjp-ms cp5193=
2 hebrew greek romanian slovak czech<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">european ethiopic indian cyrill=
ic chinese composite charscript charprop<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">case-table epa-hook jka-cmpr-ho=
ok help simple abbrev obarray<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">cl-preloaded nadvice loaddefs b=
utton faces cus-face macroexp files<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">text-properties overlay sha1 md=
5 base64 format env code-pages mule<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">custom widget hashtable-print-r=
eadable backquote threads w32notify w32<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">lcms2 multi-tty make-network-pr=
ocess emacs)<o:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US"><o:p>&nbsp;</o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">Memory information:<o:p></o:p><=
/span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">((conses 16 100510 8583)<o:p></=
o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">(symbols 48 10963 1)<o:p></o:p>=
</span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">(strings 32 33640 2227)<o:p></o=
:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">(string-bytes 1 1011136)<o:p></=
o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">(vectors 16 16807)<o:p></o:p></=
span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US">(vector-slots 8 206002 13918)<o=
:p></o:p></span></p>
<p class=3D"MsoNormal"><span lang=3D"EN-US"></span>(floats 8 44 213)<o:p></=
o:p></p>
<p class=3D"MsoNormal">(intervals 56 279 0)<o:p></o:p></p>
<p class=3D"MsoNormal">(buffers 1000 15))<o:p></o:p></p>
</div>
</body>
</html>

--_000_aa8ebb57a9fb452fa0f5d3147ce5d922mekdtudk_--




Acknowledgement sent to Brian Elmegaard <be@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#47455; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 31 May 2021 06:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.